Bug 1875036 - Machine API component repositories contain deprecated Dockerfile.rhel7 files
Summary: Machine API component repositories contain deprecated Dockerfile.rhel7 files
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Michael McCune
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-02 19:57 UTC by Michael McCune
Modified: 2020-09-11 05:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-api-provider-aws pull 350 None open Bug 1875036: remove Dockerfile.rhel7 2020-09-07 09:19:31 UTC
Github openshift cluster-api-provider-openstack pull 118 None open Bug 1875036: remove Dockerfile.rhel7 2020-09-07 09:19:30 UTC
Github openshift cluster-autoscaler-operator pull 162 None open Bug 1875036: remove Dockerfile.rhel7 2020-09-07 09:19:30 UTC
Github openshift cluster-machine-approver pull 84 None closed Bug 1875036: Remove deprecated Dockerfile.rhel7 file 2020-09-07 10:11:50 UTC
Github openshift kubernetes-autoscaler pull 170 None open Bug 1875036: remove Dockerfile.rhel7 files for ca and vpa 2020-09-07 09:19:30 UTC
Github openshift machine-api-operator pull 693 None open Bug 1875036: remove Dockerfile.rhel7 2020-09-07 09:19:30 UTC

Description Michael McCune 2020-09-02 19:57:23 UTC
Description of problem:

As a result of the migration to rhel8 for container images that was started with bz#1872080, several files have been left behind with no specific usage. These files had been used to gate the RHEL based builds for these components, but these files have now been migrated to Dockerfile.rhel.

The affected repositories/files:

openshift/kubernetes-autoscaler/images/cluster-autoscaler/Dockerfile.rhel7
openshift/kubernetes-autoscaler/vertical-pod-autoscaler/Dockerfile.rhel7
openshift/machine-api-operator/Dockerfile.rhel7
openshift/cluster-api-provider-openstack/Dockerfile.rhel7
openshift/cluster-autoscaler-operator/Dockerfile.rhel7
openshift/cluster-api-provider-aws/Dockerfile.rhel7

Comment 1 Alberto 2020-09-08 09:38:41 UTC
All PRs have merged but Openstack, moving to the sub component.

Comment 4 David Sanz 2020-09-10 12:28:36 UTC
Returned to default as Openstack PR is also merged

Comment 5 sunzhaohua 2020-09-11 05:17:14 UTC
Checked below files have been droped.
openshift/kubernetes-autoscaler/images/cluster-autoscaler/Dockerfile.rhel7
openshift/kubernetes-autoscaler/vertical-pod-autoscaler/Dockerfile.rhel7
openshift/machine-api-operator/Dockerfile.rhel7
openshift/cluster-api-provider-openstack/Dockerfile.rhel7
openshift/cluster-autoscaler-operator/Dockerfile.rhel7
openshift/cluster-api-provider-aws/Dockerfile.rhel7


Note You need to log in before you can comment on or make changes to this bug.